AIService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AIService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AIService

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.autoinventory.AIService

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class AIService

extends AppdefNamedBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`AIService()` default constructor
`AIService(AIServiceValue sv)`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`boolean` | `equals(java.lang.Object obj)`
`AIServiceValue` | `getAIServiceValue()` Deprecated. use (this) AIService object instead
`AppdefResourceType` | `getAppdefResourceType()` For compatibility
`AppdefResourceValue` | `getAppdefResourceValue()` For compatibility
`byte[]` | `getControlConfig()`
`byte[]` | `getCustomProperties()`
`long` | `getDiff()`
`AppdefEntityID` | `getEntityId()` Get the appdefEntityId for this platform legacy code from EJB entity bean
`byte[]` | `getMeasurementConfig()`
`byte[]` | `getProductConfig()`
`java.lang.Integer` | `getQueueStatus()`
`byte[]` | `getResponseTimeConfig()`
`Server` | `getServer()`
`int` | `getServerId()`
`java.lang.String` | `getServiceTypeName()`
`int` | `hashCode()`
`boolean` | `isIgnored()`
`void` | `setAIServiceValue(AIServiceValue valueHolder)`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDiff(long diff)`
`void` | `setIgnored(boolean ignored)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setQueueStatus(java.lang.Integer queueStatus)`
`void` | `setResponseTimeConfig(byte[] responseTimeConfig)`
`void` | `setServer(Server server)`
`void` | `setServerId(int server)`
`void` | `setServiceTypeName(java.lang.String serviceTypeName)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, getName, getSortName, setDescription, setLocation, setModifiedBy, setName, setSortName`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIService

    public AIService()

  default constructor

### AIService

    public AIService(AIServiceValue sv)

Method Detail

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefNamedBean`
  Get the appdefEntityId for this platform legacy code from EJB entity bean

  Specified by:
    `getEntityId` in class `AppdefNamedBean`

### getServiceTypeName

    public java.lang.String getServiceTypeName()

### setServiceTypeName

    public void setServiceTypeName(java.lang.String serviceTypeName)

### getQueueStatus

    public java.lang.Integer getQueueStatus()

### setQueueStatus

    public void setQueueStatus(java.lang.Integer queueStatus)

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### isIgnored

    public boolean isIgnored()

### setIgnored

    public void setIgnored(boolean ignored)

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### getResponseTimeConfig

    public byte[] getResponseTimeConfig()

### setResponseTimeConfig

    public void setResponseTimeConfig(byte[] responseTimeConfig)

### getServer

    public Server getServer()

### setServer

    public void setServer(Server server)

### getAIServiceValue

    public AIServiceValue getAIServiceValue()

  Deprecated. use (this) AIService object instead

  legacy EJB DTO pattern

  Returns:

### setAIServiceValue

    public void setAIServiceValue(AIServiceValue valueHolder)

### getServerId

    public int getServerId()

### setServerId

    public void setServerId(int server)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  For compatibility

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  For compatibility

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.